// VCPTestDlg.h : header file
//

#if !defined(AFX_VCPTESTDLG_H__8A35531A_08C8_4657_BDA2_72748C104280__INCLUDED_)
#define AFX_VCPTESTDLG_H__8A35531A_08C8_4657_BDA2_72748C104280__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
#include "resource.h"

#define COM_BUF_SIZE	256

typedef struct ComBuffer {
	char cBuf[COM_BUF_SIZE];
	int size;
} COMBUFFER, *PCOMBUFFER;

#define TEXTSIZE 256

/////////////////////////////////////////////////////////////////////////////
// CVCPTestDlg dialog

class CVCPTestDlg : public CDialog
{
// Construction
public:
	CWinThread * pThreadRead;
	CWinThread * pThreadWrite;
	CWinThread * pThreadPower;
	BOOL CheckDeviceType(HKEY hSubKey);
	BOOL GetDriverPrefix(TCHAR * szPrefix, DWORD dwPrefixSize, HKEY hSubKey);
	int CheckNameIndex(TCHAR * szName, TCHAR * szPrefix);
	int EnumCOMPorts(INT iDlgID);
	void SetUpComList(INT iDlgID);
	BOOL ClosePort();
	BOOL OpenPort();
	HANDLE m_hPort;
	HANDLE m_hEventWrite;
	COMBUFFER sWriteBuffer;
	COMBUFFER sReadBuffer;
	CVCPTestDlg(CWnd* pParent = NULL);	// standard constructor
	BOOL fContinue;

// Dialog Data
	//{{AFX_DATA(CVCPTestDlg)
	enum { IDD = IDD_VCPTEST_DIALOG };
	CListBox	m_ReadList;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVCPTestDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CVCPTestDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnOpen();
	afx_msg void OnClose();
	afx_msg void OnWrite();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
};



//{{AFX_INSERT_LOCATION}}
// Microsoft eMbedded Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VCPTESTDLG_H__8A35531A_08C8_4657_BDA2_72748C104280__INCLUDED_)
